Installing v8 / libv8

Has anyone managed to install v8?

It’s not in the clear repo. And if you try to install it via the python script, it doesn’t work. It’s missing certain python libraries, and those libraries won’t install either. The v8 intaller wants urllib2 (don’t know why), gn_helpers, and others that won’t install.